cgGetTypeSizes(3)

NAME
cgGetTypeSizes - get the row and/or column size of a type enumerant

SYNOPSIS
  #include <Cg/cg.h>
  CGbool cgGetTypeSizes( CGtype type,
                         int * nrows,
                         int * ncols );

PARAMETERS

type
    The type enumerant.

nrows
    A pointer to the location the routine will write the number of rows the type has.

ncols
    A pointer to the location the routine will write the number of columns the type has.

RETURN VALUES
Returns CG_TRUE if the type enumerant is for a matrix.

Returns CG_FALSE otherwise.

DESCRIPTION
cgGetTypeSizes writes the number of rows and columns the specified type enumerant has into the specified nrows and ncols locations respectively. If the type enumerant is not a matrix type, the number of rows is considered 1. For a scalar or non-numeric type enumerant, the number of columns is considered 1. For vector type enuemants, the number of columns is considered the length of the length of the vector.

Contrast this routine with cgGetMatrixSize where the number of rows and columns is considered zero is the type enumerant is not a matrix.

EXAMPLES
to-be-written

ERRORS
None.

HISTORY
cgGetTypeSizes was introduced in Cg 1.5.

SEE ALSO
the cgGetArrayTotalSize manpage, the cgGetArrayDimension manpage, the cgGetArrayParameter manpage, the cgGetMatrixSize manpage